import React from "react";
interface MrgaFlow {
    value: any;
    uses?: string[];
    calculate?(...flows: any[]): any;
}
interface MrgaOptions {
    render: MrgaRenderFunction;
    flows: {
        [key: string]: MrgaFlow;
    };
    props: Object;
    construct(): void;
    shouldComponentUpdate?(nextProps: any, nextState: any, nextContext: any): boolean;
    componentDidMount?(): void;
    componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
    componentDidUpdate?(prevProps: any, prevState: any, snapshot?: any): void;
    componentWillUnmount?(): void;
}
declare type MrgaRenderFunction = (flows: Object, props: Object, handleInput: (flowName: string) => (event: React.ChangeEvent) => void) => React.ReactNode;
export declare function mrga(this: any, component: MrgaOptions): React.ClassicComponentClass<{}>;
export default mrga;
//# sourceMappingURL=index.d.ts.map